? virsh.patch
Index: src/virsh.c
===================================================================
RCS file: /data/cvs/libvirt/src/virsh.c,v
retrieving revision 1.138
diff -u -p -r1.138 virsh.c
--- src/virsh.c	14 Mar 2008 15:21:15 -0000	1.138
+++ src/virsh.c	25 Mar 2008 06:13:00 -0000
@@ -1729,6 +1729,7 @@ cmdVcpupin(vshControl * ctl, vshCmd * cm
     }
 
     if (!(cpulist = vshCommandOptString(cmd, "cpulist", NULL))) {
+        vshError(ctl, FALSE, _("vcpupin: Missing cpulist"));
         virDomainFree(dom);
         return FALSE;
     }
@@ -1739,6 +1740,7 @@ cmdVcpupin(vshControl * ctl, vshCmd * cm
     }
 
     if (virDomainGetInfo(dom, &info) != 0) {
+        vshError(ctl, FALSE, _("vcpupin: Invalid vCPU number."));
         virDomainFree(dom);
         return FALSE;
     }
@@ -4473,6 +4475,7 @@ cmdAttachDevice(vshControl * ctl, vshCmd
 
     from = vshCommandOptString(cmd, "file", &found);
     if (!found) {
+        vshError(ctl, FALSE, _("attach-device: Missing <file> option"));
         virDomainFree(dom);
         return FALSE;
     }
@@ -4529,6 +4532,7 @@ cmdDetachDevice(vshControl * ctl, vshCmd
 
     from = vshCommandOptString(cmd, "file", &found);
     if (!found) {
+        vshError(ctl, FALSE, _("detach-device: Missing <file> option"));
         virDomainFree(dom);
         return FALSE;
     }
